QGIS Application - Bug report #13408
Graphical Modeler Raster layer Input does not recognize GRASS raster file
2015-09-23 12:38 PM - Wes Kent

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.8.3 Regression?: No
Operating System: OSX Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 21457
Description

In a created model using the Graphical Modeler, the model will not recognize/allow use of a GRASS raster layer as a Raster layer input.
The GRASS raster layer has been added to the QGIS project, but it does not appear as an input option to use in the Raster layer
drop-down list of the model. GRASS vector layers are recognized/allowed, and work fine, as Vector layer inputs for the model.

Related issues:
Duplicates QGIS Application - Feature request # 7727: Support GRASS rasters a... Feedback 2013-04-27

History

#1 - 2015-10-01 12:32 AM - Victor Olaya
- Status changed from Open to Feedback

Not a bug. Grass raster layers are not supported as inputs for Processing algorithms

#2 - 2015-10-01 05:42 AM - Wes Kent
Thank you for the information. When using the GRASS tools available in the Processing Toolbox, | am able to use GRASS raster layers as input layers; so
it seems that the functionality to accept GRASS raster layers as input files is already in QGIS. With the raster processing capabilities of GRASS, and with

there being 100+ GRASS raster processing tools in the toolbox, the ability to create Processing algorithms/models that include these powerful tools would

be a worthwhile feature to have in QGIS.

#3 - 2015-12-19 12:38 PM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Feedback to Closed

see #7727

(on Windows and Linux GRASS raster layers are not yet shown as available inputs, when it will then is expected them to work in any place in Processing).
